org.apache.hadoop.mapred

## Class TaskReport

- java.lang.Object
- - org.apache.hadoop.mapreduce.TaskReport
  - - org.apache.hadoop.mapred.TaskReport

- All Implemented Interfaces:
    Writable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class TaskReport
      extends org.apache.hadoop.mapreduce.TaskReport

  A report on the state of a task.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskReport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Counters` | `getCounters()`
    `Collection<TaskAttemptID>` | `getRunningTaskAttempts()` Get the running task attempt IDs for this task
    `TaskAttemptID` | `getSuccessfulTaskAttempt()` Get the attempt ID that took this task to completion
    `String` | `getTaskId()` The string of the task id.
    `TaskID` | `getTaskID()` The id of the task.
    `protected void` | `setFinishTime(long finishTime)` set finish time of task.
    `void` | `setRunningTaskAttempts(Collection<TaskAttemptID> runningAttempts)` set running attempt(s) of the task.
    `protected void` | `setStartTime(long startTime)` set start time of the task.
    `void` | `setSuccessfulAttempt(TaskAttemptID t)` set successful attempt ID of the task.

    - ### Methods inherited from class org.apache.hadoop.mapreduce.TaskReport

      `equals, getCurrentStatus, getDiagnostics, getFinishTime, getProgress, getRunningTaskAttemptIds, getStartTime, getState, getSuccessfulTaskAttemptId, getTaskCounters, hashCode, readFields, setRunningTaskAttemptIds, setSuccessfulAttemptId, write`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskReport

          public TaskReport()

  - ### Method Detail

    - #### getTaskId

          public String getTaskId()

      The string of the task id.
      Overrides:
        `getTaskId` in class `org.apache.hadoop.mapreduce.TaskReport`

    - #### getTaskID

          public TaskID getTaskID()

      The id of the task.
      Overrides:
        `getTaskID` in class `org.apache.hadoop.mapreduce.TaskReport`

    - #### getCounters

          public Counters getCounters()

    - #### setSuccessfulAttempt

          public void setSuccessfulAttempt(TaskAttemptID t)

      set successful attempt ID of the task.

    - #### getSuccessfulTaskAttempt

          public TaskAttemptID getSuccessfulTaskAttempt()

      Get the attempt ID that took this task to completion

    - #### setRunningTaskAttempts

          public void setRunningTaskAttempts(Collection<TaskAttemptID> runningAttempts)

      set running attempt(s) of the task.

    - #### getRunningTaskAttempts

          public Collection<TaskAttemptID> getRunningTaskAttempts()

      Get the running task attempt IDs for this task

    - #### setFinishTime

          protected void setFinishTime(long finishTime)

      set finish time of task.
      Overrides:
        `setFinishTime` in class `org.apache.hadoop.mapreduce.TaskReport`
      Parameters:
        `finishTime` - finish time of task.

    - #### setStartTime

          protected void setStartTime(long startTime)

      set start time of the task.
      Overrides:
        `setStartTime` in class `org.apache.hadoop.mapreduce.TaskReport`

Copyright © 2022 Apache Software Foundation. All rights reserved.